Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1)

Issue 2691573003: base: Remove auto raw pointer deduction. (Closed)

Created:
2 years, 8 months ago by vmpstr
Modified:
2 years, 8 months ago
Reviewers:
danakj
CC:
chromium-reviews, sadrul, vmpstr+watch_chromium.org, wfh+watch_chromium.org, gavinp+memory_chromium.org, tracing+reviews_chromium.org, jshin+watch_chromium.org
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

base: Remove auto raw pointer deduction. This patch removes auto from deducing a raw pointer in base/ R=danakj@chromium.org BUG=554600 Review-Url: https://codereview.chromium.org/2691573003 Cr-Commit-Position: refs/heads/master@{#450088} Committed: https://chromium.googlesource.com/chromium/src/+/5f02eaeb48fb777c7ce1d5e3b5cab87b7caa3387

Patch Set 1 #

Total comments: 2

Patch Set 2 : update #

Unified diffs Side-by-side diffs Delta from patch set Stats (+12 lines, -12 lines) Patch
M base/i18n/character_encoding.cc View 1 chunk +2 lines, -2 lines 0 comments Download
M base/memory/memory_pressure_listener.cc View 1 chunk +1 line, -1 line 0 comments Download
M base/message_loop/message_loop.cc View 1 chunk +1 line, -1 line 0 comments Download
M base/path_service.cc View 1 chunk +1 line, -1 line 0 comments Download
M base/test/histogram_tester.cc View 1 1 chunk +1 line, -1 line 0 comments Download
M base/threading/thread_local_storage.cc View 1 chunk +1 line, -1 line 0 comments Download
M base/threading/watchdog.cc View 1 chunk +1 line, -1 line 0 comments Download
M base/threading/worker_pool.cc View 1 chunk +1 line, -1 line 0 comments Download
M base/time/time_posix.cc View 1 chunk +1 line, -1 line 0 comments Download
M base/trace_event/trace_log.cc View 2 chunks +2 lines, -2 lines 0 comments Download

Messages

Total messages: 9 (4 generated)
vmpstr
Please take a look. I think some of these static pointers can just be local ...
2 years, 8 months ago (2017-02-11 01:25:37 UTC) #1
danakj
LGTM https://codereview.chromium.org/2691573003/diff/1/base/test/histogram_tester.cc File base/test/histogram_tester.cc (right): https://codereview.chromium.org/2691573003/diff/1/base/test/histogram_tester.cc#newcode26 base/test/histogram_tester.cc:26: for (auto* histogram : histograms) { I think ...
2 years, 8 months ago (2017-02-13 18:06:55 UTC) #2
vmpstr
https://codereview.chromium.org/2691573003/diff/1/base/test/histogram_tester.cc File base/test/histogram_tester.cc (right): https://codereview.chromium.org/2691573003/diff/1/base/test/histogram_tester.cc#newcode26 base/test/histogram_tester.cc:26: for (auto* histogram : histograms) { On 2017/02/13 18:06:55, ...
2 years, 8 months ago (2017-02-13 19:39:41 UTC) #3
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2691573003/20001
2 years, 8 months ago (2017-02-13 19:40:54 UTC) #6
commit-bot: I haz the power
2 years, 8 months ago (2017-02-13 21:12:30 UTC) #9
Message was sent while issue was closed.
Committed patchset #2 (id:20001) as
https://chromium.googlesource.com/chromium/src/+/5f02eaeb48fb777c7ce1d5e3b5ca...

Powered by Google App Engine
This is Rietveld 408576698